## libranlip 1.0

=== debian/changelog ===
libranlip (1.0-7) unstable; urgency=medium

  * QA upload.

  * Set "Rules-Requires-Root: no"
    and rewrite the legacy debian/rules accordingly.

 -- Alexandre Detiste <tchet@debian.org>  Sat, 07 Dec 2024 15:11:01 +0100

libranlip (1.0-6) unstable; urgency=medium

  * QA upload.

  * Added d/gbp.conf to describe branch layout.
  * Updated vcs in d/control to Salsa.
  * Updated d/gbp.conf to enforce the use of pristine-tar.
  * Updated Standards-Version from 3.7.2 to 4.7.0.
  * Use wrap-and-sort -at for debian control files.
  * Trim trailing whitespace.
  * Bump debhelper dependency to >= 7, since that's what is used
    in debian/compat.
  * Bump debhelper from deprecated 7 to 10.
  * Set field Upstream-Name in debian/copyright.
  * Remove field Priority on binary packages libranlip-dev, libranlip1c2
    that duplicates source.
  * Adjusted d/rules to not strip binaries when DEB_BUILD_OPTIONS=nostrip
    is used (Closes: #437398).

 -- Petter Reinholdtsen <pere@debian.org>  Fri, 07 Jun 2024 08:10:53 +0200

libranlip (1.0-5) unstable; urgency=medium

  * QA upload
  * Convert to source format 3.0 (Closes: #1007491)
  * Update debhelper to compat 7

  [ Helmut Grohne ]
  * Cross build should not produce build architecture binaries (Closes: #903538)

 -- Bastian Germann <bage@debian.org>  Thu, 10 Aug 2023 01:59:00 +0200

libranlip (1.0-4.4) unstable; urgency=medium

  * Non-maintainer upload.

  [ Dhole ]
  * Makefile.in: Pass -n via GZIP_ENV to avoid embedding
    timestamps. (Closes: #788000)
  * debian/rules: Pass -n to gzip when compressing files.
    (Closes: #788000)
  * debian/rules: Use consistent date in packaged files. (Closes: #788000)

  [ Valerie R Young ]
  * debian/rules: Sort md5sums files. (Closes: #846975)

  [ Vagrant Cascadian ]
  * debian/rules: Use standard buildflags. (Closes: #1007137)

 -- Vagrant Cascadian <vagrant@reproducible-builds.org>  Thu, 22 Sep 2022 11:16:14 -0700

libranlip (1.0-4.3) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/rules: Add build-{arch,indep}. (Closes: #999070)

 -- Adrian Bunk <bunk@debian.org>  Mon, 27 Dec 2021 23:01:22 +0200

libranlip (1.0-4.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Use dh-autoreconf to ensure builds use current autofoo and build
    on new architectures (Closes: #759434 #535999 #758031)

 -- Wookey <wookey@debian.org>  Thu, 21 Jan 2016 23:10:42 +0000

libranlip (1.0-4.1) unstable; urgency=low

  * Non-maintainer upload.
  * debian/rules:
    - Fix bashisms (Closes: #378598).
    - Fix debian-rules-ignores-make-clean-error lintian warnings.
  * debian/control:
    - Use ${binary:Version}, fix substvar-source-version-is-deprecated
      lintian warning.
    - Move to new Homepage field.
   * debian/shlibs:
     - Move to libranlip1c2, fix shlibs-declares-dependency-on-other-package
       lintian warning.

 -- Luca Falavigna <dktrkranz@ubuntu.com>  Wed, 16 Jan 2008 23:26:08 +0100

libranlip (1.0-4) unstable; urgency=low

  * ACK NMU.
  * Set Standards-Version to 3.7.2.
  * Fixed old-fsf-address-in-copyright-file.

 -- Juan Esteban Monsalve Tobon <esteban@v7w.com>  Tue, 20 Jun 2006 14:58:46 +1000

libranlip (1.0-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * C++ ABI transition

 -- Luk Claes <luk@debian.org>  Mon, 24 Oct 2005 19:10:30 +0200

libranlip (1.0-3) unstable; urgency=low

  * New maintainer.

 -- Juan Esteban Monsalve Tobon <esteban@v7w.com>  Sun, 10 Apr 2005 13:29:02 +1000

libranlip (1.0-2) unstable; urgency=low

  * Maintainer's new email address.
  * Removed unnecessary build-depends.

 -- Anibal Monsalve Salazar <anibal@debian.org>  Sat, 19 Feb 2005 11:37:38 +1100

libranlip (1.0-1) unstable; urgency=low

  * Initial release (Closes: #249546).

 -- Anibal Monsalve Salazar <A.Monsalve.Salazar@IEEE.org>  Wed, 19 May 2004 21:38:33 +1000
